Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class CallCachingFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
          edu.stanford.smi.protege.model.framestore.CallCachingFrameStore

All Implemented Interfaces:
  InvocationHandler

    public class CallCachingFrameStore

extends AbstractFrameStoreInvocationHandler

Constructor Summary
`CallCachingFrameStore()`

Method Summary
`void` | `executeQuery(Query q, QueryCallback qc)`
`void` | `handleClose()`
`protected Object` | `handleInvoke(Method method, Object[] args)`
`protected void` | `handleReinitialize()`
`protected void` | `setDelegate(FrameStore delegate)` This methods sets the delegate for this InvocationHandler and for the associated frame store.

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStoreInvocationHandler
`getDelegate, getInstance, invoke, invoke, invoke, isModification, isQuery, newInstance, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CallCachingFrameStore

    public CallCachingFrameStore()

Method Detail

### handleInvoke

    protected Object handleInvoke(Method method,
                                  Object[] args)

  Specified by:
    `handleInvoke` in class `AbstractFrameStoreInvocationHandler`

### executeQuery

    public void executeQuery(Query q,
                             QueryCallback qc)

  Specified by:
    `executeQuery` in class `AbstractFrameStoreInvocationHandler`

### handleClose

    public void handleClose()

  Overrides:
    `handleClose` in class `AbstractFrameStoreInvocationHandler`

### handleReinitialize

    protected void handleReinitialize()

  Overrides:
    `handleReinitialize` in class `AbstractFrameStoreInvocationHandler`

### setDelegate

    protected void setDelegate(FrameStore delegate)

  Description copied from class: `AbstractFrameStoreInvocationHandler`
  This methods sets the delegate for this InvocationHandler and for the associated frame store. It is only called by the InvocationHandler but it is overridden by classes such as the CallCachingFrameStore.

  Overrides:
    `setDelegate` in class `AbstractFrameStoreInvocationHandler`
  Parameters:
    `delegate` - the delegate FrameStore.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.